<?php

    $dataDir = __DIR__ . '/history';

    $dateFile = $dataDir . '/date.txt';
    $dateCheck = null;
    if (file_exists($dateFile)) {
        $dateString = substr(trim(file_get_contents($dateFile)), 0, 19);
        $dateCheck = \DateTimeImmutable::createFromFormat("Y-m-d H:i:s|", $dateString);
    }

    $queueIterator = null;
    $exchangeIterator = null;
    if (file_exists($dataDir)) {
        $queueIterator = new \GlobIterator($dataDir . "/queue_*.txt", \FilesystemIterator::KEY_AS_FILENAME);
        $exchangeIterator = new \GlobIterator($dataDir . "/exchange_*.txt", \FilesystemIterator::KEY_AS_FILENAME);
    }

    // if (isset($_GET["data"])) {
    //     switch ($_GET["data"]) {
    //       case 'avail':
    //         $val = $availKBytes;
    //         // $val = rand(0, 492*1024*1024);
    //         echo json_encode(array(
    //             "text" => formatKBytes($val, 2),
    //             "value" => $val,
    //         ));
    //         break;
    //     }
    //     exit;
    // }



    // require_once('lib/fcomplex.php');
    // require_once("lib/frole.php");
    // $role = new Role();
    // $role->isPageEnable($user->uuid);

?><!doctype html>
<html lang="ru">
<head>

  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">

  <meta http-equiv="refresh" content="600">

  <title>Мониторинг сервера очередей</title>


  <!-- Framework css -->
  <link rel="stylesheet" type="text/css" href="/css/jquery-ui.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/bootstrap-combined.min.css?rand=<?=rand();?>" />

  <!-- Wrapper css -->
  <link rel="stylesheet" type="text/css" href="/css/base.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/member.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/member.form.css?rand=<?=rand();?>" />
  <!-- Wrapper css -->
  <!--[if gte IE 9]>
    <style type="text/css">
      .gradient {
         filter: none;
      }
    </style>
  <![endif]-->

  <!-- Framework js -->
  <script src="/js/jquery-1.9.1.js"></script>
  <script src="/js/jquery-ui.js"></script>
  <script src="/js/bootstrap.min.js"></script>

  <!-- Wrapper js -->
  <script type="text/javascript">

    var language = "<?=$this->language?>";
    var pageType = "<?=$this->pageType?>";

    var pageId = "<?=$this->pageId?>";

    var userUuid = "<?=$this->user->uuid?>";

  </script>
  <script src="/js/auth.js"></script>

  <script type="text/javascript">
    // $(function(){

    //     updateAvail = window.setInterval(function(){
    //         var args = [];

    //         animateContainer = $("#container");
    //         $.post("?data=avail", args, function(data) {
    //             console.log(data);
    //             oldAvail = $("#data-avail").attr("data-avail-value");
    //             newAvail = data.value;
    //             availColor = null;
    //             opacity = 0.26;
    //             if (data.text != $("#data-avail").text()) {
    //                 //  && data.value <= 1048576
    //                 if (newAvail > oldAvail) {
    //                     availColor = "rgba(29, 255, 80, " + opacity + ")";
    //                 } else if (newAvail < oldAvail) {
    //                     availColor = "rgba(255, 29, 29, " + opacity + ")";
    //                 }
    //             } else {
    //                 // availColor = "rgba(104, 104, 104, " + opacity + ")";
    //             }

    //             if (availColor) {
    //                 animateContainer.animate({
    //                   // width: "70%",
    //                   // opacity: 0.4,
    //                   // marginLeft: "0.6in",
    //                   // fontSize: "3em",
    //                   // borderWidth: "10px",
    //                   "backgroundColor": availColor
    //                 }, 100, "swing", function() {
    //                     $("#data-avail").text(data.text);
    //                     $("#data-avail").attr("data-avail-value", data.value);

    //                     animateContainer.animate({
    //                       "backgroundColor": "transparent"
    //                     }, 800, "swing");
    //                 })
    //             }
    //         }, "json")
    //     }, 2000)

    // })

  </script>

  <!-- Hosting css -->
  <link rel="stylesheet" type="text/css" href="/css/hosting/hosting.css?rand=<?=rand();?>" />
  <link rel="stylesheet" type="text/css" href="/css/hosting/monitor.css?rand=<?=rand();?>" />

  <style type="text/css" media="screen">
      object { outline:none; }
  </style>
</head>

<body>
  <div id="container">

<!-- USERBOX -->

<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      Мониторинг сервера очередей
    </h1>
    <h2 class="header__headings__subheading">
      <?php if ($dateCheck): ?>
          Последняя проверка выполнена в <?=$dateCheck->format("H:i d.m.Y")?>
      <?php else: ?>
          Проверка еще не запускалась
      <?php endif; ?>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div class = "left">
    <?=(isset($role) ? $role->userMenu($user->uuid) : '');?>
</div>

<?=$this->renderNavigation();?>

<div class="page__helper"></div>

<?php if ($this->canViewMonitor()): ?>
  <?php if ($queueIterator || $exchangeIterator): ?>
    <div>
      <?php if ($queueIterator): ?>
        <div class="center-container">
          <?php foreach ($queueIterator as $queueFile): ?>
            <?php $queueName = str_replace(array("queue_", ".txt"), "", $queueFile->getFileName()); ?>
            <pre><!--
            --><?=file_get_contents($queueFile->getPathname())?><!--
            --></pre>
          <?php endforeach; ?>
        </div>
      <?php endif; ?>

      <?php if ($exchangeIterator): ?>
        <div class="center-container">
          <?php foreach ($exchangeIterator as $exchangeFile): ?>
            <?php $exchangeName = str_replace(array("exchange_", ".txt"), "", $exchangeFile->getFileName()); ?>
            <pre><!--
            --><?=file_get_contents($exchangeFile->getPathname())?><!--
            --></pre>
          <?php endforeach; ?>
        </div>
      <?php endif; ?>
    </div>

  <?php else: ?>

        <div class="not-found">
          <h1>Данные еще не загружены</h1>
          <p>Вернитесь сюда позже или <a target="_blank" href="mailto:monitoring@herzen.spb.ru?subject=Данные мониторинга сервера очередей не загружены!">сообщите об ошибке по электронной почте</a></p>

          <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
        </div>
  <?php endif; ?>

  <script src="/js/hosting/jquery.fittext.js"></script>


  <?php if (file_exists(__DIR__ . '/Monitor.charts.inc.html')): ?>
      <?php require __DIR__ . '/Monitor.charts.inc.html'; ?>
  <?php endif; ?>

  <script src="/js/highcharts/js/highcharts.js"></script>
  <script src="/js/highcharts/js/highcharts-more.js"></script>
  <script src="/js/highcharts/js/modules/exporting.js"></script>

<?php else: ?>

<div id="forbidden" class="forbidden">
  <h1>Доступ не разрешен</h1>
  <p>Попробуйте <a target="_blank" href="mailto:monitoring@herzen.spb.ru?subject=Запрос на доступ к мониторингу сервера очередей">запросить доступ по электронной почте</a></p>

  <p><a href="?">Главная страница</a> | <a href="javascript:history.go(-1);">Вернуться назад</a></p>
</div>
<?php endif; ?>
  </div>

</body>
</html>
